JOURNAL_GET_WRIT(9)

NAME
journal_get_write_access - notify intent to modify a buffer for metadata (not data) update.

SYNOPSIS

int journal_get_write_access (handle_t * handle, struct buffer_head * bh);

ARGUMENTS

handle
    transaction to add buffer modifications to

bh  bh to be used for metadata writes

DESCRIPTION

Returns an error code or 0 on success.

In full data journalling mode the buffer may be of type BJ_AsyncData, because we're writeing a buffer which is also part of a shared mapping.

AUTHORS
Roger Gammans <rgammans@computer-surgery.co.uk>, Stephen Tweedie <sct@redhat.com>.